Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.xjep
Class DoNothingVisitor

    java.lang.Object
      org.lsmp.djep.xjep.DoNothingVisitor

All Implemented Interfaces:
  ParserVisitor

Direct Known Subclasses:
  CommandVisitor, DeepCopyVisitor, ErrorCatchingVisitor, PolynomialCreator, PolynomialVisitor, RewriteVisitor, SimplificationVisitor, SubstitutionVisitor

    public abstract class DoNothingVisitor

extends java.lang.Object
implements ParserVisitor

A Visitor which visits each node of a expression tree. It returns the top node. This visitor should be extended by Visitors which modify trees in place.

Author:
  Rich Morris Created on 16-Nov-2003

Constructor Summary
`DoNothingVisitor()`

Method Summary
`protected Node[]` | `acceptChildrenAsArray(Node node, java.lang.Object data)` Gets the result of visiting children of a array of nodes.
`java.lang.Object` | `visit(ASTConstant node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTFunNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTStart node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTVarNode node, java.lang.Object data)`
`java.lang.Object` | `visit(SimpleNode node, java.lang.Object data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoNothingVisitor

    public DoNothingVisitor()

Method Detail

### acceptChildrenAsArray

    protected Node[] acceptChildrenAsArray(Node node,
                                           java.lang.Object data)
                                    throws ParseException

  Gets the result of visiting children of a array of nodes.

  Throws:
    `ParseException`

### visit

    public java.lang.Object visit(SimpleNode node,
                                  java.lang.Object data)
                           throws ParseException

  Specified by:
    `visit` in interface `ParserVisitor`
  Throws:
    `ParseException`

### visit

    public java.lang.Object visit(ASTStart node,
                                  java.lang.Object data)
                           throws ParseException

  Specified by:
    `visit` in interface `ParserVisitor`
  Throws:
    `ParseException`

### visit

    public java.lang.Object visit(ASTConstant node,
                                  java.lang.Object data)
                           throws ParseException

  Specified by:
    `visit` in interface `ParserVisitor`
  Throws:
    `ParseException`

### visit

    public java.lang.Object visit(ASTVarNode node,
                                  java.lang.Object data)
                           throws ParseException

  Specified by:
    `visit` in interface `ParserVisitor`
  Throws:
    `ParseException`

### visit

    public java.lang.Object visit(ASTFunNode node,
                                  java.lang.Object data)
                           throws ParseException

  Specified by:
    `visit` in interface `ParserVisitor`
  Throws:
    `ParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems